
package nlib.cmm.service.impl;

import java.util.List;
import java.util.Map;

import egovframework.rte.psl.dataaccess.mapper.Mapper;
import nlib.col.service.CollectionVO;

@Mapper("mainDAO")
public interface MainDAO {

	/**
	 * 지역문화원의 키워드 리스트를 조회한다. 
	 * 
	 * @param mngOrgCd
	 * @return
	 */
	public List<Map<String, String>> listKeywords(String mngOrgCd);
	
	/**
	 * 문화원 PICK한 자료 리스트를 조회한다. 
	 * 
	 * @param mngOrgCd
	 * @return
	 */
	public List<CollectionVO> listOrgPicks(String mngOrgCd);
	
	/**
	 * 유형별인기자료 리스트를 조회한다. 
	 * 
	 * @param mngOrgCd
	 * @return
	 */
	public List<CollectionVO> listPops(CollectionVO searchVO);
	
	/**
	 * 온라인자료관 리스트를 조회한다. 
	 * 
	 * @param mngOrgCd
	 * @return
	 */
	public List<CollectionVO> listOnline(String mngOrgCd);
	
}
